Bug#532817: game-data-packager: dpkg-deb errors are ignored when rebuilding a package

Frédéric Brière fbriere at fbriere.net
Thu Jun 11 22:26:19 UTC 2009

Package: game-data-packager
Version: 21
Severity: normal

Due to the piping to grep, slipstream_repack() ignores any dpkg-deb
error, such as running out of space.  Why not simply redirect stdout to

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages game-data-packager depends on:
ii  fakeroot                      1.12.2     Gives a fake root environment
ii  sudo                          1.7.0-1    Provide limited super user privile

game-data-packager recommends no packages.

game-data-packager suggests no packages.

-- no debconf information

More information about the Pkg-games-devel mailing list